Developers

Geliştiriciler için API Referansı

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

Başlarken

İsteklerin sistem tarafından işlenmesi için bir API anahtarı gereklidir. Bir kullanıcı kaydolduğunda, bu kullanıcı için otomatik olarak bir API anahtarı oluşturulur. API anahtarı her istekle birlikte gönderilmelidir (aşağıdaki tam örneğe bakın). API anahtarı gönderilmezse veya süresi dolmuşsa bir hata olacaktır. Kötüye kullanımı önlemek için lütfen API anahtarınızı gizli tuttuğunuzdan emin olun.

kimlik doğrulama

API sistemiyle kimlik doğrulaması yapmak için API anahtarınızı her istekle birlikte bir yetkilendirme belirteci olarak göndermeniz gerekir. Aşağıda örnek kodu görebilirsiniz.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Oran Sınırı

API'miz, kararlılığını en üst düzeye çıkarmak için isteklerdeki ani artışlara karşı koruma sağlayan bir hız sınırlayıcıya sahiptir. Hız sınırlayıcımız şu anda 1 dakika başına 30 istekle sınırlandırılmıştır. ຂໍໃຫ້ສັງເກດວ່າອັດຕາອາດປ່ຽນແປງຕາມແຜນການທີ່ສະຫມັກ.

Yanıtın yanında birkaç başlık gönderilir ve bunlar istekle ilgili çeşitli bilgileri belirlemek için incelenebilir.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Yanıt İşleme

Tüm API yanıtı, varsayılan olarak JSON biçiminde döndürülür. Bunu kullanılabilir verilere dönüştürmek için dile göre uygun işlevin kullanılması gerekecektir. PHP'de, json_decode() işlevi, verileri bir nesneye (varsayılan) veya bir diziye (ikinci parametreyi true olarak ayarlayın) dönüştürmek için kullanılabilir. Hata anahtarının kontrol edilmesi bir hata olup olmadığı hakkında bilgi verdiği için çok önemlidir. Başlık kodunu da kontrol edebilirsiniz.

{
    "error": 1,
    "message": "An error occurred"
}

CTA Yer Paylaşımları

ລາຍການ CTA Overlays

ຮັບ https://urlkai.com/api/overlay?limit=2&page=1

ເພື່ອຈະໄດ້ cta overlays ຜ່ານ API, ທ່ານສາມາດໃຊ້ຈຸດສຸດທ້າຍນີ້ໄດ້. ທ່ານຍັງສາມາດຕອງຂໍ້ມູນໄດ້ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

ແຟ້ມ

ລາຍການແຟ້ມ

ຮັບ https://urlkai.com/api/files?limit=2&page=1

ເອົາແຟ້ມທັງຫມົດຂອງເຈົ້າ. ທ່ານ ຍັງ ສາມາດ ຄົ້ນຫາ ຕາມ ຊື່ ໄດ້.

Parametre Açıklama
ຊື່ (ເລືອກ) ຄົ້ນຫາແຟ້ມຕາມຊື່
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/dSxWX",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/CsGht",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/Jyxoo",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

ອັບໂຫຼດແຟ້ມ

ໂພສ https://urlkai.com/api/files/upload/:filename?name=My+File

ອັບໂຫຼດແຟ້ມໂດຍສົ່ງຂໍ້ມູນສອງເປັນເນື້ອໃນຂອງບົດຄວາມ. ທ່ານຕ້ອງສົ່ງຊື່ແຟ້ມລວມທັງຂະຫຍາຍຕົວແທນ :filename ໃນ url (ຕົວຢ່າງ: brandkit.zip). ທ່ານສາມາດຕັ້ງທາງເລືອກໄດ້ໂດຍການສົ່ງຕົວເລກດັ່ງຕໍ່ໄປນີ້.

Parametre Açıklama
ຊື່ (ເລືອກ) ຊື່ແຟ້ມ
ທໍານຽມ (ເລືອກ) ຊື່ຫລິ້ນແບບສະເພາະແທນຊື່ຫລິ້ນແບບບັງເອີນ.
ໂດເມນ (ເລືອກ) Custom Domain
ລະຫັດຜ່ານ (ເລືອກ) ການປົກປ້ອງລະຫັດຜ່ານ
ການສິ້ນສຸດ (ເລືອກ) ການສິ້ນສຸດຂອງຕົວຢ່າງການດາວໂຫຼດ 2021-09-28
Maxdownloads (ເລືອກ) ຈໍານວນການດາວໂຫຼດສູງສຸດ
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Sunucu durumu

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/IOFVq"
}

ເຮຊັບ

Hesap Al

ຮັບ https://urlkai.com/api/account

Hesapla ilgili bilgi almak için bu uç noktaya bir istek gönderebilirsiniz ve bu, hesapla ilgili verileri döndürür.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Hesabı güncelle

ໃສ່ https://urlkai.com/api/account/update

Hesapla ilgili bilgileri güncellemek için bu uç noktaya bir istek gönderebilirsiniz; Bu, hesaptaki verileri güncelleyecektir.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Sunucu durumu

{
    "error": 0,
    "message": "Account has been successfully updated."
}

Kanallar

ລາຍການຊ່ອງທາງ

ຮັບ https://urlkai.com/api/channels?limit=2&page=1

ເພື່ອຮັບຊ່ອງທາງຂອງ API ທ່ານສາມາດໃຊ້ຈຸດສຸດທ້າຍນີ້ໄດ້. ທ່ານຍັງສາມາດຕອງຂໍ້ມູນໄດ້ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

ລາຍການລາຍການຊ່ອງ

ຮັບ https://urlkai.com/api/channel/:id?limit=1&page=1

ເພື່ອຈະເອົາລາຍການໃນຊ່ອງທາງເລືອກຜ່ານ API ທ່ານສາມາດໃຊ້ຈຸດສຸດທ້າຍນີ້ໄດ້. ທ່ານຍັງສາມາດຕອງຂໍ້ມູນໄດ້ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

Kanal Oluştur

ໂພສ https://urlkai.com/api/channel/add

ສາມາດເພີ່ມຊ່ອງໄດ້ໂດຍໃຊ້ຈຸດສຸດທ້າຍນີ້.

Parametre Açıklama
ຊື່ (ຈໍາເປັນ) ຊື່ຊ່ອງ
ຄໍາອະທິບາຍ (ເລືອກ) ຄໍາອະທິບາຍຊ່ອງ
ສີ (ເລືອກ) ສີບັດຊ່ອງ (HEX)
ດວງດາວ (ເລືອກ) ດວງດາວຊ່ອງວ່າງຫຼືບໍ່ (ຈິງ ຫຼື ຜິດ)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

ມອບຫມາຍລາຍການໃຫ້ຊ່ອງ

ໂພສ https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

ລາຍການສາມາດຖືກມອບຫມາຍໃຫ້ກັບຊ່ອງໃດໆກໍໄດ້ໂດຍການສົ່ງຄໍາຮ້ອງຂໍພ້ອມກັບ id ຊ່ອງ, ປະເພດລາຍການ (link, bio ຫຼື qr) ແລະ item id.

Parametre Açıklama
:channelid (ຈໍາເປັນ) ID ຊ່ອງ
:ປະເພດ (ຈໍາເປັນ) link ຫຼື bio ຫຼື qr
:itemid (ຈໍາເປັນ) ລາຍການ ID
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Kanalı Güncelle

ໃສ່ https://urlkai.com/api/channel/:id/update

ເພື່ອປັບປຸງຊ່ອງ, ທ່ານຕ້ອງສົ່ງຂໍ້ມູນທີ່ຖືກຕ້ອງໃນ JSON ຜ່ານຄໍາຮ້ອງຂໍ PUT. ຂໍ້ມູນຕ້ອງຖືກສົ່ງເປັນເນື້ອໃນຂອງຄໍາຮ້ອງຂໍຂອງທ່ານດັ່ງທີ່ສະແດງໄວ້ທາງລຸ່ມນີ້. ຕົວຢ່າງທາງລຸ່ມນີ້ສະແດງໃຫ້ເຫັນຕົວເລກທັງຫມົດທີ່ທ່ານສາມາດສົ່ງໄດ້ແຕ່ທ່ານບໍ່ຈໍາເປັນຕ້ອງສົ່ງທັງຫມົດ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຊື່ (ເລືອກ) ຊື່ຊ່ອງ
ຄໍາອະທິບາຍ (ເລືອກ) ຄໍາອະທິບາຍຊ່ອງ
ສີ (ເລືອກ) ສີບັດຊ່ອງ (HEX)
ດວງດາວ (ເລືອກ) ດວງດາວຊ່ອງວ່າງຫຼືບໍ່ (ຈິງ ຫຼື ຜິດ)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Sunucu durumu

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

ລຶບຊ່ອງ

ລຶບ https://urlkai.com/api/channel/:id/delete

ເພື່ອລຶບຊ່ອງ, ທ່ານຕ້ອງສົ່ງຄໍາຮ້ອງຂໍ DELETE. ສິ່ງ ຂອງ ທັງ ຫມົດ ຈະ ຖືກ ຍົກ ເລີກ ຄື ກັນ.

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Markalı Alan Adları

ລາຍຊື່ Branded Domains

ຮັບ https://urlkai.com/api/domains?limit=2&page=1

ເພື່ອຈະໄດ້ຮັບ branded domains ຂອງເຈົ້າຜ່ານ API, ເຈົ້າສາມາດໃຊ້ຈຸດສຸດທ້າຍນີ້ໄດ້. ທ່ານຍັງສາມາດຕອງຂໍ້ມູນໄດ້ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

ສ້າງ Domain ທີ່ ມີ ຊື່ ສຽງ

ໂພສ https://urlkai.com/api/domain/add

ສາມາດເພີ່ມໂດເມນໄດ້ໂດຍໃຊ້ຈຸດສຸດທ້າຍນີ້. ກະລຸນາໃຫ້ແນ່ໃຈວ່າ domain ຖືກຊີ້ໄປຫາ server ຂອງພວກເຮົາຢ່າງຖືກຕ້ອງ.

Parametre Açıklama
ໂດເມນ (ຈໍາເປັນ) Branded domain ລວມທັງ http ຫຼື https
redirectroot (ເລືອກ) Root redirect ເມື່ອມີຄົນມາຢ້ຽມຢາມໂດເມນຂອງເຈົ້າ
ປ່ຽນແປງ404 (ເລືອກ) Custom 404 redirect
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Sunucu durumu

{
    "error": 0,
    "id": 1
}

Alan Adını Güncelle

ໃສ່ https://urlkai.com/api/domain/:id/update

ເພື່ອປັບປຸງ branded domain, ທ່ານຕ້ອງສົ່ງຂໍ້ມູນທີ່ຖືກຕ້ອງໃນ JSON ຜ່ານຄໍາຮ້ອງຂໍ PUT. ຂໍ້ມູນຕ້ອງຖືກສົ່ງເປັນເນື້ອໃນຂອງຄໍາຮ້ອງຂໍຂອງທ່ານດັ່ງທີ່ສະແດງໄວ້ທາງລຸ່ມນີ້. ຕົວຢ່າງທາງລຸ່ມນີ້ສະແດງໃຫ້ເຫັນຕົວເລກທັງຫມົດທີ່ທ່ານສາມາດສົ່ງໄດ້ແຕ່ທ່ານບໍ່ຈໍາເປັນຕ້ອງສົ່ງທັງຫມົດ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
redirectroot (ເລືອກ) Root redirect ເມື່ອມີຄົນມາຢ້ຽມຢາມໂດເມນຂອງເຈົ້າ
ປ່ຽນແປງ404 (ເລືອກ) Custom 404 redirect
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Sunucu durumu

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

ລຶບໂດເມນ

ລຶບ https://urlkai.com/api/domain/:id/delete

ເພື່ອລຶບໂດເມນ, ທ່ານຕ້ອງສົ່ງຄໍາຮ້ອງຂໍ DELETE.

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

ພິກ ເຊວ

ລາຍການ Pixels

ຮັບ https://urlkai.com/api/pixels?limit=2&page=1

ເພື່ອຈະໄດ້ຮັບໂປຣແກຣມ pixels ຂອງເຈົ້າຜ່ານ API, ເຈົ້າສາມາດໃຊ້ຈຸດສຸດທ້າຍນີ້ໄດ້. ທ່ານຍັງສາມາດຕອງຂໍ້ມູນໄດ້ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

ສ້າງ Pixel

ໂພສ https://urlkai.com/api/pixel/add

pixel ສາມາດສ້າງໄດ້ໂດຍໃຊ້ຈຸດສຸດທ້າຍນີ້. ທ່ານຕ້ອງສົ່ງປະເພດ pixel ແລະ tag.

Parametre Açıklama
ປະເພດ (ຈໍາເປັນ) gtmpixel | gapixel | fbpixel | AdWordsPixel | linkedinpixel | Twitterpixel | adrollpixel | quorapixel | pinterest | ບິງ | Snapchat | reddit | tiktok
ຊື່ (ຈໍາເປັນ) ຊື່ສະເພາະສໍາລັບ pixel ຂອງເຈົ້າ
ແທັກ (ຈໍາເປັນ) ແທັກສໍາລັບ pixel
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Sunucu durumu

{
    "error": 0,
    "id": 1
}

Pixel'i Güncelle

ໃສ່ https://urlkai.com/api/pixel/:id/update

ເພື່ອປັບປຸງ pixel, ທ່ານຕ້ອງສົ່ງຂໍ້ມູນທີ່ຖືກຕ້ອງໃນ JSON ຜ່ານຄໍາຮ້ອງຂໍ PUT. ຂໍ້ມູນຕ້ອງຖືກສົ່ງເປັນເນື້ອໃນຂອງຄໍາຮ້ອງຂໍຂອງທ່ານດັ່ງທີ່ສະແດງໄວ້ທາງລຸ່ມນີ້. ຕົວຢ່າງທາງລຸ່ມນີ້ສະແດງໃຫ້ເຫັນຕົວເລກທັງຫມົດທີ່ທ່ານສາມາດສົ່ງໄດ້ແຕ່ທ່ານບໍ່ຈໍາເປັນຕ້ອງສົ່ງທັງຫມົດ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຊື່ (ເລືອກ) ຊື່ສະເພາະສໍາລັບ pixel ຂອງເຈົ້າ
ແທັກ (ຈໍາເປັນ) ແທັກສໍາລັບ pixel
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Sunucu durumu

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

ລຶບ Pixel

ລຶບ https://urlkai.com/api/pixel/:id/delete

ເພື່ອລຶບ pixel, ທ່ານຕ້ອງສົ່ງຄໍາຮ້ອງຂໍ DELETE.

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

QR Kodları

ລາຍການ QR code

ຮັບ https://urlkai.com/api/qr?limit=2&page=1

API üzerinden QR kodlarınızı almak için bu uç noktayı kullanabilirsiniz. Ayrıca verileri filtreleyebilirsiniz (Daha fazla bilgi için tabloya bakın).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Tek bir QR Kodu alın

ຮັບ https://urlkai.com/api/qr/:id

API aracılığıyla tek bir QR kodunun ayrıntılarını almak için bu uç noktayı kullanabilirsiniz.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

QR Kodu Oluşturun

ໂພສ https://urlkai.com/api/qr/add

ເພື່ອສ້າງ QR Code, ທ່ານຕ້ອງສົ່ງຂໍ້ມູນທີ່ຖືກຕ້ອງໃນ JSON ຜ່ານຄໍາຮ້ອງຂໍ POST. ຂໍ້ມູນຕ້ອງຖືກສົ່ງເປັນເນື້ອໃນຂອງຄໍາຮ້ອງຂໍຂອງທ່ານດັ່ງທີ່ສະແດງໄວ້ທາງລຸ່ມນີ້. ຕົວຢ່າງທາງລຸ່ມນີ້ສະແດງໃຫ້ເຫັນຕົວເລກທັງຫມົດທີ່ທ່ານສາມາດສົ່ງໄດ້ແຕ່ທ່ານບໍ່ຈໍາເປັນຕ້ອງສົ່ງທັງຫມົດ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ປະເພດ (ຈໍາເປັນ) text | vcard | ລິ້ງ | ອີເມວ | ໂທລະສັບ | ສື່ສານ | ອິນ ເຕີ ແນັດ
ຂໍ້ມູນ (ຈໍາເປັນ) ຂໍ້ ມູນ ທີ່ ຈະ ຝັງ ຢູ່ ໃນ QR code. ຂໍ້ມູນສາມາດເປັນເຊື້ອສາຍຫຼື array ຂຶ້ນກັບປະເພດ
ພູມຫຼັງ (ເລືອກ) ສີ RGB ຕົວຢ່າງ: rgb(255,255,255)
ເບື້ອງຫນ້າ (ເລືອກ) ສີ RGB ຕົວຢ່າງ: rgb(0,0,0)
ໂລໂກ້ (ເລືອກ) ເສັ້ນທາງໄປສູ່ໂລໂກ້ png ຫຼື jpg
ຊື່ (ເລືອກ) ຊື່ QR Code
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

ປັບປຸງ QR Code

ໃສ່ https://urlkai.com/api/qr/:id/update

Bir QR Kodunu güncellemek için, bir PUT isteği aracılığıyla JSON'da geçerli bir veri göndermeniz gerekir. Veriler, aşağıda gösterildiği gibi isteğinizin ham gövdesi olarak gönderilmelidir. Aşağıdaki örnek, gönderebileceğiniz tüm parametreleri gösterir, ancak hepsini göndermeniz gerekmez (Daha fazla bilgi için tabloya bakın).

Parametre Açıklama
ຂໍ້ມູນ (ຈໍາເປັນ) ຂໍ້ ມູນ ທີ່ ຈະ ຝັງ ຢູ່ ໃນ QR code. ຂໍ້ມູນສາມາດເປັນເຊື້ອສາຍຫຼື array ຂຶ້ນກັບປະເພດ
ພູມຫຼັງ (ເລືອກ) ສີ RGB ຕົວຢ່າງ: rgb(255,255,255)
ເບື້ອງຫນ້າ (ເລືອກ) ສີ RGB ຕົວຢ່າງ: rgb(0,0,0)
ໂລໂກ້ (ເລືອກ) ເສັ້ນທາງໄປສູ່ໂລໂກ້ png ຫຼື jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Sunucu durumu

{
    "error": 0,
    "message": "QR has been updated successfully."
}

QR Kodunu Sil

ລຶບ https://urlkai.com/api/qr/:id/delete

Bir QR kodunu silmek için bir DELETE isteği göndermeniz gerekir.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

Kampanyalar

ລາຍການໂຄງການ

ຮັບ https://urlkai.com/api/campaigns?limit=2&page=1

ເພື່ອຮັບໂຄງການໂຄສະນາຜ່ານ API ທ່ານສາມາດໃຊ້ຈຸດສຸດທ້າຍນີ້ໄດ້. ທ່ານຍັງສາມາດຕອງຂໍ້ມູນໄດ້ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Kampanya Oluştur

ໂພສ https://urlkai.com/api/campaign/add

ໂຄງການໂຄສະນາສາມາດເພີ່ມຂຶ້ນໄດ້ໂດຍໃຊ້ຈຸດສຸດທ້າຍນີ້.

Parametre Açıklama
ຊື່ (ເລືອກ) ຊື່ໂຄງການ
slug (ເລືອກ) Rotator Slug
ສາທາລະນະ (ເລືອກ) ການເຂົ້າເຖິງ
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
ໂພສ https://urlkai.com/api/campaign/:campaignid/assign/:linkid

ສາມາດມອບຫມາຍການເຊື່ອມຕໍ່ສັ້ນໆໃຫ້ແກ່ໂຄງການໂດຍໃຊ້ຈຸດສຸດທ້າຍນີ້. ຈຸດ ສຸດ ທ້າຍ ຮຽກ ຮ້ອງ ID ໂຄງ ການ ແລະ ID link ສັ້ນໆ.

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Kampanyayı Güncelle

ໃສ່ https://urlkai.com/api/campaign/:id/update

ເພື່ອປັບປຸງໂຄງການ, ທ່ານຕ້ອງສົ່ງຂໍ້ມູນທີ່ຖືກຕ້ອງໃນ JSON ຜ່ານຄໍາຮ້ອງຂໍ PUT. ຂໍ້ມູນຕ້ອງຖືກສົ່ງເປັນເນື້ອໃນຂອງຄໍາຮ້ອງຂໍຂອງທ່ານດັ່ງທີ່ສະແດງໄວ້ທາງລຸ່ມນີ້. ຕົວຢ່າງທາງລຸ່ມນີ້ສະແດງໃຫ້ເຫັນຕົວເລກທັງຫມົດທີ່ທ່ານສາມາດສົ່ງໄດ້ແຕ່ທ່ານບໍ່ຈໍາເປັນຕ້ອງສົ່ງທັງຫມົດ (ເບິ່ງຕາຕະລາງສໍາລັບຂໍ້ມູນເພີ່ມເຕີມ).

Parametre Açıklama
ຊື່ (ຈໍາເປັນ) ຊື່ໂຄງການ
slug (ເລືອກ) Rotator Slug
ສາທາລະນະ (ເລືອກ) ການເຂົ້າເຖິງ
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Sunucu durumu

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

ລຶບໂຄງການ

ລຶບ https://urlkai.com/api/campaign/:id/delete

ເພື່ອລຶບໂຄງການ, ທ່ານຕ້ອງສົ່ງຄໍາຮ້ອງຂໍ DELETE.

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

Özel Splash

ລາຍການ Custom Splash

ຮັບ https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

Parametre Açıklama
ຈໍາກັດ (ເລືອກ) ຜົນຂໍ້ມູນຕໍ່ຫນ້າ
ຫນ້າ (ເລືອກ) ຄໍາຮ້ອງຂໍຫນ້າປະຈຸບັນ
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Sunucu durumu

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}